// EloErrorCodes.h

// List of Error Codes

#ifndef _ELO_ERROR_CODES_H_
#define _ELO_ERROR_CODES_H_

#define EloSuccess						0
#define EloFound						1
#define EloKeyPresent					2
#define EloKeyCreated					3
#define EloSetupPromptRebootStat		4
#define EloAddSetupToRunOnRebootStat	5
#define EloReboot						6

#define EloFailure		                -1
#define EloError		                -1 
#define EloErrorInIoctl		            -2
#define EloErrorCallWasCancelled	    -3
#define EloErrorInvalidTouchScreen		-4
#define EloErrorInvalidMonitorNo		-5
#define EloErrorInvalidBuffer			-6
#define EloErrorInvalidHandle			-7
#define EloErrorNoDriver				-8
#define EloErrorNotInitialized			-9
#define EloErrorInvalidCommand			-10
#define EloErrorVersionLock				-11
#define EloErrorBufferSize				-12
#define EloErrorTouchDeviceNotWorking	-13
#define EloErrorTouchScreenNumberInvalid -14
#define EloErrorNoTouchScreens			-15
#define EloErrorInvalidScreenNumber		-16
#define EloErrorUnknown					-17
#define EloErrorNotImplemented			-18
#define EloErrorDeviceBusy				-19
#define EloErrorIncompatibleVersion		-20
#define EloErrorFileNotFound			-21
#define EloErrorNoResponse				-22
#define EloErrorNoEDIDInSystem			-23
#define EloErrorNoData					-24
#define EloErrorRecordNotFound			-25
#define EloErrorScrnNotCalibrated		-26
#define EloErrorMiscompare				-27
#define EloErrorNoNVRamSupport			-28
#define EloErrorNoMatchingEDID			-29
#define EloErrorInvalidSSResponse		-30
#define EloErrorInvalidMonitorNumber	-31
#define EloErrorNoSmartSetLock      	-32

// Elo Setup Error Codes to returne to calling batch process

#define ELO_SETUP_RETCODE_SUCCESS                          0
#define ELO_SETUP_RETCODE_NOT_ADMIN			               1
#define ELO_SETUP_RETCODE_ELOSETUP_NOT_FOUNT               2
#define ELO_SETUP_RETCODE_32BITSETUP_ON64BIT_OS            3
#define ELO_SETUP_RETCODE_INVALID_COMMAND_LINE             4
#define ELO_SETUP_RETCODE_DRIVER_INSTALLED                 5
#define ELO_SETUP_RETCODE_CREATEMUTEX_FAILED               6
#define ELO_SETUP_RETCODE_WAIT_COINSTALLER_FAILED          7
#define ELO_SETUP_RETCODE_CREATEEVENT_FAILED_SERIAL_INIT   8
#define ELO_SETUP_RETCODE_CREATEEVENT_FAILED_SERIAL_REMOVE 9
#define ELO_SETUP_RETCODE_GETPROCADDR_FAILED_ENUMTOUCHEX   10
#define ELO_SETUP_RETCODE_GETPROCADDR_FAILED_GETDIAG       11

#endif // _ELO_ERROR_CODES_H_